package domain

type AlibabaWdkMarketingItembuygiftAdditemCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `
}

func (s *AlibabaWdkMarketingItembuygiftAdditemCommonActivityParam) SetActivityId(v int64) *AlibabaWdkMarketingItembuygiftAdditemCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftAdditemCommonActivityParam) SetOutActId(v string) *AlibabaWdkMarketingItembuygiftAdditemCommonActivityParam {
	s.OutActId = &v
	return s
}
